For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer GuidesThreads APIAccount Management APIAnalytics API
Developer GuidesThreads APIAccount Management APIAnalytics API
  • Threads
    • GETList Threads
    • POSTCreate Thread
    • DELDelete Thread
    • PATCHUpdate Thread
    • GETList Messages
    • POSTSend Message
    • GETGet Thread Progress
    • DELCancel Thread Task
    • POSTUpload File
    • GETGet Artifact
    • GETStream Thread Events
LogoLogo
Threads

List Messages

GET
https://sandbox.api.boosted.ai/v2/threads/:thread_id/messages
GET
/v2/threads/:thread_id/messages
$curl https://sandbox.api.boosted.ai/v2/threads/thread_id/messages \
> -H "Authorization: Bearer <token>"
1{
2 "messages": [
3 {
4 "message_id": "string",
5 "message": "string",
6 "is_user_message": true,
7 "message_time": "2024-01-15T09:30:00Z",
8 "citations": [
9 {
10 "citation_id": "string",
11 "citation_type": "news_development",
12 "source_category": "string",
13 "name": "string",
14 "inline_offset": 1,
15 "summary": "string",
16 "last_updated_at": "2024-01-15T09:30:00Z",
17 "is_snippet": false,
18 "num_articles": 1,
19 "development_start": "2024-01-15T09:30:00Z"
20 }
21 ]
22 }
23 ],
24 "total_message_count": 1,
25 "start_index": 0
26}
Get the chat history for a thread. This endpoint retrieves the message history for a thread. You can optionally filter messages by date range using `start` and `end` parameters, and paginate results using `start_index` and `limit_num`. If no date filters are provided, all messages in the thread are returned. The response includes all messages in chronological order, with user messages and AI responses clearly identified. For example, use with start_index=0&limit_num=25 to get the latest 25 messages.
Was this page helpful?
Previous

Send Message

Next
Built with

Get the chat history for a thread.

This endpoint retrieves the message history for a thread. You can optionally filter messages by date range using start and end parameters, and paginate results using start_index and limit_num. If no date filters are provided, all messages in the thread are returned.

The response includes all messages in chronological order, with user messages and AI responses clearly identified.

For example, use with start_index=0&limit_num=25 to get the latest 25 messages.

Authentication

AuthorizationBearer
OAuth2 access token obtained via token exchange.

Path parameters

thread_idstringRequired

Query parameters

startdatetime or nullOptional
enddatetime or nullOptional
start_indexintegerOptionalDefaults to 0
limit_numinteger or nullOptional

Response

Successful Response
messageslist of objects
total_message_countinteger
start_indexintegerDefaults to 0

Errors

422
Unprocessable Entity Error